package commands;

import java.io.IOException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.FacadeDAO;

public class MensalidadeRemover extends AbstractCommand {

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet) {
		// TODO Stub de método gerado automaticamente
		String id = request.getParameter("id");
		String id_aluno = request.getParameter("id_aluno");
		System.out.println("vai remover");
		String msg = FacadeDAO.getInstance(servlet).getMensalidadeDAO()
				.removerMensalidade(Integer.parseInt(id));
		try {
			if (msg != null) {
				response
						.sendRedirect("Command?comando=MensalidadeConsultar&id_aluno="
								+ id_aluno + "&msg=" + msg);
			} else {
				response
						.sendRedirect("Command?comando=MensalidadeConsultar&id_aluno="
								+ id_aluno
								+ "&msg=Mensalidade Removida com Sucesso!");
			}

		} catch (IOException e) {
			// TODO Bloco catch gerado automaticamente
			e.printStackTrace();
		}
	}

}
